package com.chenyang.nse.bussiness.odbc.po;

import java.util.List;
import java.util.Map;

public class SQLReplaceInfo {
   private Map<String, String> params;
   private List<Map> replacedValues;

   public Map<String, String> getParams() {
      return this.params;
   }

   public List<Map> getReplacedValues() {
      return this.replacedValues;
   }

   public void setParams(final Map<String, String> params) {
      this.params = params;
   }

   public void setReplacedValues(final List<Map> replacedValues) {
      this.replacedValues = replacedValues;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SQLReplaceInfo)) {
         return false;
      } else {
         SQLReplaceInfo other = (SQLReplaceInfo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$params = this.getParams();
            Object other$params = other.getParams();
            if (this$params == null) {
               if (other$params != null) {
                  return false;
               }
            } else if (!this$params.equals(other$params)) {
               return false;
            }

            Object this$replacedValues = this.getReplacedValues();
            Object other$replacedValues = other.getReplacedValues();
            if (this$replacedValues == null) {
               if (other$replacedValues != null) {
                  return false;
               }
            } else if (!this$replacedValues.equals(other$replacedValues)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SQLReplaceInfo;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $params = this.getParams();
      result = result * 59 + ($params == null ? 43 : $params.hashCode());
      Object $replacedValues = this.getReplacedValues();
      result = result * 59 + ($replacedValues == null ? 43 : $replacedValues.hashCode());
      return result;
   }

   public String toString() {
      return "SQLReplaceInfo(params=" + this.getParams() + ", replacedValues=" + this.getReplacedValues() + ")";
   }
}
